MKFS(8)

NOM
mkfs - Créer un système de fichiers Linux

SYNOPSIS

SYNOPSIS
mkfs [options] [-t type options-du-système-de-fichiers ] périphérique [ taille ]

DESCRIPTION
mkfs est utilisé pour créer un système de fichiers Linux sur un périphérique, généralement une partition d'un disque dur. Le paramètre périphérique est soit le nom du périphérique (par exemple : /dev/hda1, /dev/sdb2), soit un fichier normal qui peut contenir le système de fichiers. Le paramètre taille est le nombre de blocs à utiliser pour le système de fichiers.

Le code de retour renvoyé par mkfs est 0 en cas de succès et 1 en cas d'échec.

En fait, mkfs est une simple interface pour les divers constructeurs de systèmes de fichiers (mkfs.système-de-fichiers) disponibles sous Linux. Le constructeur du système de fichiers indiqué est recherché dans un certain nombre de répertoires (/sbin, /sbin/fs, /sbin/fs.d, /etc/fs, /etc), (la liste exacte est définie à la compilation mais contient au moins /sbin et /sbin/fs), et dans les répertoires indiqués par la variable d'environnement PATH. Veuillez consulter les pages de manuel spécifiques au constructeur du système de fichiers indiqué pour plus de détails.

OPTIONS

-t, --type type
    Indiquer le type de système de fichiers à créer. S'il n'est pas indiqué, le système de fichiers par défaut (ext2) est utilisé.

options-du-système-de-fichiers
    Options spécifiques au système de fichiers à passer au constructeur. En général, la plupart des options suivantes sont prises en charge par la majorité des constructeurs de système de fichiers.

-V, --verbose
    Produire une sortie bavarde, notamment toutes les commandes spécifiques au système de fichiers exécutées. Indiquer cette option plusieurs fois inhibe l'exécution de toute commande spécifique au système de fichiers. Cela n'est utile que pour faire des tests.

-V, --version
    Afficher les informations sur la version et quitter (les informations sur la version ne seront affichées que si l'option -V est le seul paramètre, sinon cela fonctionnera comme --verbose).

-h, --help
    Afficher l'aide puis quitter.

BOGUES
Toutes les options génériques doivent précéder et ne pas être mélangées avec les options spécifiques au système de fichiers. Certains constructeurs ne reconnaissent pas l'option -V (mode bavard), ou retournent un code d'erreur incompréhensible. De plus, certains programmes spécifiques à un système de fichiers ne peuvent pas détecter la taille du périphérique et nécessitent l'utilisation du paramètre taille.

AUTEURS
David Engel <david@ods.com>
Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>
Ron Sommeling <sommel@sci.kun.nl>
Cette page de manuel est une adaptation de la version du système de fichiers ext2 de Rémy Card

VOIR AUSSI
fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8), mkfs.xiafs(8)

DISPONIBILITÉ
La commande mkfs fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et mise à jour par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 1999. La version présente dans Debian est maintenue par Florentin Duneau <fduneau AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.